Skip to main content
GET
/
api
/
v1
/
brands
/
{brand_id}
/
assets
List Assets
curl --request GET \
  --url https://api.example.com/api/v1/brands/{brand_id}/assets \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "file_name": "<string>",
    "file_type": "<string>",
    "category": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "file_size_bytes": 0,
    "usage_scope": "all",
    "description": "<string>",
    "download_url": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
string<uuid>
required

Query Parameters

category
string | null

Response

Successful Response

id
string<uuid>
required
brand_id
string<uuid>
required
file_name
string
required
file_type
string
required
category
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
file_size_bytes
integer
default:0
usage_scope
string
default:all
description
string | null
download_url
string | null